Debian Bug report logs - #633474
obdgpslogger: FTBFS w/fluid 1.3: ~obdconvertwindow no longer defined

version graph

Package: src:obdgpslogger; Maintainer for src:obdgpslogger is Gary Briggs <chunky@icculus.org>;

Reported by: "Aaron M. Ucko" <ucko@debian.org>

Date: Sun, 10 Jul 2011 16:39:02 UTC

Severity: important

Tags: patch

Found in version obdgpslogger/0.16-1

Fixed in version obdgpslogger/0.16-1.1

Done: ucko@debian.org (Aaron M. Ucko)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ucko@debian.org, Gary Briggs <chunky@icculus.org>:
Bug#633474; Package src:obdgpslogger. (Sun, 10 Jul 2011 16:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Aaron M. Ucko" <ucko@debian.org>:
New Bug report received and forwarded. Copy sent to ucko@debian.org, Gary Briggs <chunky@icculus.org>. (Sun, 10 Jul 2011 16:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Aaron M. Ucko" <ucko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: obdgpslogger: FTBFS w/fluid 1.3: ~obdconvertwindow no longer defined
Date: Sun, 10 Jul 2011 12:35:36 -0400
Source: obdgpslogger
Version: 0.16-1
Severity: important
Tags: patch

fluid 1.3.x, which is currently available in experimental and which I
plan to upload to unstable in a few days, generates somewhat different
output from 1.1.x.  Most of the differences are purely formal, such
that fluid 1.3.x output is generally compatible with FLTK 1.1
development environments and vice versa.  One change, however, affects
obdgpslogger: per http://www.fltk.org/str.php?L2259, fluid no longer
produces (empty) implementations for totally empty functions in .fl
files -- in this case, obdconvertwindow::~obdconvertwindow.

It's possible to force fluid's hand by adding comments to such
functions' bodies, but in this case it makes more sense to retire the
(non-virtual) destructor as redundant:

--- obdgpslogger-0.16.orig/src/gui/convertwindow.fl
+++ obdgpslogger-0.16/src/gui/convertwindow.fl
@@ -102,8 +102,6 @@ if(0 < f.count())
     }
     code {mMainui = obdui;} {}
   }
-  Function {~obdconvertwindow()} {open
-  } {}
   decl {OBDUI *mMainui;} {}
   decl {enum obd_convert_type mConvertType;} {}
   Function {show()} {open

Could you please do so, or let me know if you'd agree to an NMU?

Thanks!




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#633474; Package src:obdgpslogger. (Sun, 10 Jul 2011 18:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gary Briggs <chunky@icculus.org>:
Extra info received and forwarded to list. (Sun, 10 Jul 2011 18:03:06 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Gary Briggs <chunky@icculus.org>
To: "Aaron M. Ucko" <ucko@debian.org>, 633474@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#633474: obdgpslogger: FTBFS w/fluid 1.3: ~obdconvertwindow no longer defined
Date: Sun, 10 Jul 2011 13:55:16 -0400
Thank-you for taking the time to help me with this!

I've put that patch into my upstream repository.

I'm not sure if an NMU is easy, as I'm new to the whole debian packaging
thing. If it's a five-minute task for you, please feel free, otherwise I'll
be happy to do a new package

Thanks,
Gary

On Sun, Jul 10, 2011 at 12:35:36PM -0400, Aaron M. Ucko wrote:
> Source: obdgpslogger
> Version: 0.16-1
> Severity: important
> Tags: patch
> 
> fluid 1.3.x, which is currently available in experimental and which I
> plan to upload to unstable in a few days, generates somewhat different
> output from 1.1.x.  Most of the differences are purely formal, such
> that fluid 1.3.x output is generally compatible with FLTK 1.1
> development environments and vice versa.  One change, however, affects
> obdgpslogger: per http://www.fltk.org/str.php?L2259, fluid no longer
> produces (empty) implementations for totally empty functions in .fl
> files -- in this case, obdconvertwindow::~obdconvertwindow.
> 
> It's possible to force fluid's hand by adding comments to such
> functions' bodies, but in this case it makes more sense to retire the
> (non-virtual) destructor as redundant:
> 
> --- obdgpslogger-0.16.orig/src/gui/convertwindow.fl
> +++ obdgpslogger-0.16/src/gui/convertwindow.fl
> @@ -102,8 +102,6 @@ if(0 < f.count())
>      }
>      code {mMainui = obdui;} {}
>    }
> -  Function {~obdconvertwindow()} {open
> -  } {}
>    decl {OBDUI *mMainui;} {}
>    decl {enum obd_convert_type mConvertType;} {}
>    Function {show()} {open
> 
> Could you please do so, or let me know if you'd agree to an NMU?
> 
> Thanks!
> 




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#633474; Package src:obdgpslogger. (Sun, 10 Jul 2011 18:03:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gary Briggs <chunky@icculus.org>:
Extra info received and forwarded to list. (Sun, 10 Jul 2011 18:03:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gary Briggs <chunky@icculus.org>:
Bug#633474; Package src:obdgpslogger. (Sun, 10 Jul 2011 23:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to ucko@debian.org (Aaron M. Ucko):
Extra info received and forwarded to list. Copy sent to Gary Briggs <chunky@icculus.org>. (Sun, 10 Jul 2011 23:09:07 GMT) Full text and rfc822 format available.

Message #20 received at 633474@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: Gary Briggs <chunky@icculus.org>
Cc: "Aaron M. Ucko" <ucko@debian.org>, 633474@bugs.debian.org
Subject: Re: Bug#633474: obdgpslogger: FTBFS w/fluid 1.3: ~obdconvertwindow no longer defined
Date: Sun, 10 Jul 2011 19:05:43 -0400
Gary Briggs <chunky@icculus.org> writes:

> Thank-you for taking the time to help me with this!

No problem; thanks for the quick response!

> I'm not sure if an NMU is easy, as I'm new to the whole debian packaging
> thing. If it's a five-minute task for you, please feel free, otherwise I'll
> be happy to do a new package

I could issue one reasonably quickly, as I've already prepared the
necessary patch; however, I believe it's still best practice for
packages' regular maintainers (or fellow members of any relevant teams)
to upload fixes themselves if available, so I'd appreciate it if you
could please do so.

Thanks!

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
http://www.mit.edu/~amu/ | http://stuff.mit.edu/cgi/finger/?amu@monk.mit.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Gary Briggs <chunky@icculus.org>:
Bug#633474; Package src:obdgpslogger. (Sun, 17 Jul 2011 01:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to ucko@debian.org (Aaron M. Ucko):
Extra info received and forwarded to list. Copy sent to Gary Briggs <chunky@icculus.org>. (Sun, 17 Jul 2011 01:51:05 GMT) Full text and rfc822 format available.

Message #25 received at 633474@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: Gary Briggs <chunky@icculus.org>
Cc: ucko@debian.org (Aaron M. Ucko), 633474@bugs.debian.org
Subject: Re: Bug#633474: obdgpslogger: FTBFS w/fluid 1.3: ~obdconvertwindow no longer defined
Date: Sat, 16 Jul 2011 21:46:13 -0400
[Message part 1 (text/plain, inline)]
ucko@debian.org (Aaron M. Ucko) writes:

> I could issue one reasonably quickly, as I've already prepared the
> necessary patch; however, I believe it's still best practice for
> packages' regular maintainers (or fellow members of any relevant teams)
> to upload fixes themselves if available, so I'd appreciate it if you
> could please do so.

I'm about to go ahead with my FLTK uploads, so I'll proceed with an NMU,
per the below patch; thanks for agreeing to it.  Please do upload the
fix yourself when you get a chance, though.

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
http://www.mit.edu/~amu/ | http://stuff.mit.edu/cgi/finger/?amu@monk.mit.edu

[debian-changes-0.16-1.1 (text/x-patch, inline)]
Description: Upstream changes introduced in version 0.16-1.1
 This patch has been created by dpkg-source during the package build.
 Here's the last changelog entry, hopefully it gives details on why
 those changes were made:
 .
 obdgpslogger (0.16-1.1) unstable; urgency=low
 .
   * Non-maintainer upload with maintainer's permission.
   * src/gui/convertwindow.fl: drop empty obdconvertwindow::~obdconvertwindow
     to avoid build errors with fluid 1.3.x, which omits its definition
     altogether per http://www.fltk.org/str.php?L2259.  (Closes: #633474.)
 .
 The person named in the Author field signed this changelog entry.
Author: Aaron M. Ucko <ucko@debian.org>
Bug-Debian: http://bugs.debian.org/633474

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: http://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: <YYYY-MM-DD>

--- obdgpslogger-0.16.orig/src/gui/convertwindow.fl
+++ obdgpslogger-0.16/src/gui/convertwindow.fl
@@ -102,8 +102,6 @@ if(0 < f.count())
     }
     code {mMainui = obdui;} {}
   }
-  Function {~obdconvertwindow()} {open
-  } {}
   decl {OBDUI *mMainui;} {}
   decl {enum obd_convert_type mConvertType;} {}
   Function {show()} {open

Reply sent to ucko@debian.org (Aaron M. Ucko):
You have taken responsibility. (Sun, 17 Jul 2011 02:57:03 GMT) Full text and rfc822 format available.

Notification sent to "Aaron M. Ucko" <ucko@debian.org>:
Bug acknowledged by developer. (Sun, 17 Jul 2011 02:57:04 GMT) Full text and rfc822 format available.

Message #30 received at 633474-close@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: 633474-close@bugs.debian.org
Subject: Bug#633474: fixed in obdgpslogger 0.16-1.1
Date: Sun, 17 Jul 2011 02:55:52 +0000
Source: obdgpslogger
Source-Version: 0.16-1.1

We believe that the bug you reported is fixed in the latest version of
obdgpslogger, which is due to be installed in the Debian FTP archive:

obdgpslogger_0.16-1.1.debian.tar.gz
  to main/o/obdgpslogger/obdgpslogger_0.16-1.1.debian.tar.gz
obdgpslogger_0.16-1.1.dsc
  to main/o/obdgpslogger/obdgpslogger_0.16-1.1.dsc
obdgpslogger_0.16-1.1_amd64.deb
  to main/o/obdgpslogger/obdgpslogger_0.16-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 633474@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aaron M. Ucko <ucko@debian.org> (supplier of updated obdgpslogger package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 16 Jul 2011 21:42:08 -0400
Source: obdgpslogger
Binary: obdgpslogger
Architecture: source amd64
Version: 0.16-1.1
Distribution: unstable
Urgency: low
Maintainer: Gary Briggs <chunky@icculus.org>
Changed-By: Aaron M. Ucko <ucko@debian.org>
Description: 
 obdgpslogger - suite of tools to log OBDII and GPS data
Closes: 633474
Changes: 
 obdgpslogger (0.16-1.1) unstable; urgency=low
 .
   * Non-maintainer upload with maintainer's permission.
   * src/gui/convertwindow.fl: drop empty obdconvertwindow::~obdconvertwindow
     to avoid build errors with fluid 1.3.x, which omits its definition
     altogether per http://www.fltk.org/str.php?L2259.  (Closes: #633474.)
Checksums-Sha1: 
 df31cf8e7c2be390198b0b3bfe89d5d21b81b286 1879 obdgpslogger_0.16-1.1.dsc
 ead430a6097f1dcc605f682c89f99d721ab0e082 2626 obdgpslogger_0.16-1.1.debian.tar.gz
 709cc8c4350b90bf12eb993bf959f8ca5a5dd07f 119304 obdgpslogger_0.16-1.1_amd64.deb
Checksums-Sha256: 
 5d9ed4580121e9e9f97d28b9a64479f4abfb363bb88e2ad32f5547754dd99341 1879 obdgpslogger_0.16-1.1.dsc
 4196b67163c9a515ef5735f0408ef02b2c149411497f17a0e2342311da1e16c8 2626 obdgpslogger_0.16-1.1.debian.tar.gz
 82657a953048167f044ec508c69f9e03b8db73d12e68bdbf9cf84b8244f731c9 119304 obdgpslogger_0.16-1.1_amd64.deb
Files: 
 d4a2b881ee888f015eb4411129db1559 1879 science extra obdgpslogger_0.16-1.1.dsc
 23e18e17c5d109eef1bdd8c00551f910 2626 science extra obdgpslogger_0.16-1.1.debian.tar.gz
 5db3835dd08b8afaba7b50d3dd98ea95 119304 science extra obdgpslogger_0.16-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOIj77AAoJEB5wkbHxSmSiIuMQAKdXtsnZcEDmps1ZY48+Nltf
BUKY52KF7mH7ORLCp5LjUoqWW1Y2uTL2QDJQaUxtnSaHbE9qKgfwy8gIaxNbRAw/
jD8+gxMCDqI6Nmo0mdP846FCx38RpYa2XIhIwfHAYEZtedU5BOZq9NZqhO3jhkfa
iBEtXyvg8bhy3Z5k9A/FPrZCleK62+fxxrLzqOQU12Ds3wJ5NCXPtllzOF0aZklr
aCnrLYZB15m4XbZYEooouEv8Nw+AA1EjGcizmd3DujbGEqE6pPKUDnXR2SNXGejd
kO6+Ky3T/BNOaX/sDzot2vwN4QXEwnidg6ZMIlY4sDBKgL9n6voJsIC8K6sGZxVc
TFEIYRqD49yb7VTT1Q6o5Aa1ybjiGQNNY2wtF0UFbKYd46UuT2TsqQxLFWM9CWHW
v5c692XpduA7nInFxl/0/FbjyJklpVUjm8hhKNFPOA1ppoWZXfkHP496gE/6d989
V9zqy1T3adKVKNds4HRvsD20756dVbBairjE4iv39THeK2JHAsQ4r4DQHx+/1q8U
FJJQy7OCxf5RQRG5SJ1+Qps4bophSnTum7v7N8Lu+aTNza+gMobrmtI59PSu4abC
eayK5S6usdu9BBF0u7i4iYSI170UpzNFAeOdzYBIENOrqarUS/mTmdu5ky9aeVOd
A+MgMSK/PJ1HWWSHmJeN
=en0n
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 24 Aug 2011 07:36:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:01:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.